View Issue Details

IDProjectCategoryView StatusLast Update
0014182ScribusStory Editor / Text Framespublic2016-11-11 22:54
Reporterjeff Assigned Tojghali  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.5.3.svn 
Target VersionFixed in Version1.5.3.svn 
Summary0014182: Tabs alignment behaves unpredictably
DescriptionSee the attached sample file, which has paragraph styles set to have right-aligned tabs.

The alignment working depends on what words you put at the beginning of the line. I don't understand why this is happening.
Tagslayout
PatchNo

Activities

jeff

2016-06-25 21:07

reporter  

test-tabulations.sla (21,208 bytes)

jeff

2016-06-25 21:08

reporter  

jeff

2016-06-25 21:25

reporter   ~0041721

Even weirder: on the first line with "Income", the tabulations align properly only if you have specific letters present on the line: b, i, j, k, or l. Any other letters will not work.

So for instance if you have "Income l" or "Incomeb" on the beginning of the line, "2013" will align correctly. But not if you have "Income" or "Income xyz".

Laser

2016-06-26 11:22

reporter   ~0041722

Last edited: 2016-06-26 11:25

View 3 revisions

Can confirm. Everyhing, even the letters.
Inserting an (empty) line as first line, everything ok.
And it only happens with First Line Offset - Maximum Ascent.
<s>With Capital Letters Q, O, Ü, Ä, Ö, G, S, C, É, È, Ê as the first letter in first line everything is fine (I guess all the letters with something on top - but Q, O, G, S and C?)</s>
And it depends on the font - doesn't matter if ttf, otf or what is Bookmark and Nimbus?

Edith says: Also the letters working depend on the font...

jeff

2016-06-26 16:42

reporter   ~0041725

Another hint: if you have a blank line first, then it will behave correctly. In a sense, this is starting to resemble some other text layout bug I've seen before...

ale

2016-07-13 10:33

manager   ~0041791

cf. http://forums.scribus.net/index.php?action=post;topic=2116.0 for another (very likely) similar case

i wonder if scribus reads something wrongly from the font or it just skips the first or second letter when calculating the maximum ascent (a 0 / 1 mismatch when iterating)

Issue History

Date Modified Username Field Change
2016-06-25 21:07 jeff New Issue
2016-06-25 21:07 jeff File Added: test-tabulations.sla
2016-06-25 21:08 jeff File Added: scribus tabulations bug.png
2016-06-25 21:25 jeff Note Added: 0041721
2016-06-26 11:22 Laser Note Added: 0041722
2016-06-26 11:23 Laser Note Edited: 0041722 View Revisions
2016-06-26 11:25 Laser Note Edited: 0041722 View Revisions
2016-06-26 16:42 jeff Note Added: 0041725
2016-06-26 18:04 jghali Summary Text alignment tabulations (tabs?) styles act unpredictably => Tabs alignment behaves unpredictably
2016-06-26 18:04 jghali Status new => resolved
2016-06-26 18:04 jghali Fixed in Version => 1.5.3.svn
2016-06-26 18:04 jghali Resolution open => fixed
2016-06-26 18:04 jghali Assigned To => jghali
2016-06-27 07:57 JLuc Tag Attached: layout
2016-07-13 10:33 ale Note Added: 0041791
2016-11-11 22:54 cbradney Status resolved => closed